%define     version     0.177.3

Summary:    2ch client for KDE
Name:       kita
Version:    %{version}
Release:    10%{?dist}
Source:     http://keihanna.dl.sourceforge.jp/kita/20336/kita-%{version}.tar.gz
Patch0:     kita-0.177.3-nonweak-symbol.patch
License:    GPL
URL:        http://sourceforge.jp/projects/kita/
Group:      Applications/Internet

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:       kdelibs-devel
BuildRequires:       desktop-file-utils

Requires(post):      /sbin/ldconfig 
Requires(postun):    /sbin/ldconfig
Requires:            fonts-japanese

%description
Kita is a 2ch client for KDE.

%prep
%setup -q

%patch0 -p2 -b .link

%{__sed} -i.soname \
   -e 's|^kita\([\._][lL]\)|libkitamain\1|' \
   -e 's|\([^a-zA-Z]\)kita\([\._][lL]\)|\1libkitamain\2|g' \
   -e 's|-avoid-version||' \
   kita/src/Makefile.in

%build
if [ %{_arch} == x86_64 ] ; then
   SUF=64
else
   SUF=
fi

unset QTDIR || :
. %{_sysconfdir}/profile.d/qt.sh

%configure \
    --disable-rpath \
    --enable-libsuffix=$SUF \
    --enable-xdg-menu

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%{__sed} -i -e 's|Terminal=0|Terminal=false|' \
      %{buildroot}/%{name}.desktop

desktop-file-install \
      --delete-original \
      --vendor fedora \
      --dir %{buildroot}%{_datadir}/applications \
      --add-category X-Fedora \
      --add-category KDE \
      --add-category Qt \
      %{buildroot}/%{name}.desktop

# remove unneeded files
%{__rm} -f %{buildroot}%{_prefix}/lib*/*.{la,so}

# move document files
%{__mkdir} DOC

unlink %{buildroot}%{_datadir}/doc/HTML/en/kita/common
ln -sf ../common %{buildroot}%{_datadir}/doc/HTML/en/kita/common

# convert encoding
for f in README README.2ch TODO ; do
   %{__mv} ${f} ${f}.tmp
   iconv -f EUCJP -t UTF8 ${f}.tmp > ${f} && \
      %{__rm} -f ${f}.tmp || %{__mv} ${f}.tmp ${f}
done

# install mo file
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null || :

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
%{_bindir}/update-desktop-database %{_datadir}/applications &>/dev/null || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README README.2ch TODO
%{_bindir}/*
%{_prefix}/lib*/*.so.*
%{_datadir}/apps/kita/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/doc/HTML/en/kita/

%changelog
* Wed Sep 27 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-10
- Make common directory link again by symlink
- First remove undefined non-weak symbol related to Qt and KDE
  (still need fixes for Kita internal undefined symbol).

* Tue Sep 19 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-9
- Again move HTML directory to the original.

* Tue Aug 29 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-8
- Unset QTDIR, not QTLIB

* Tue Aug 29 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-7
- Again specify Qt lib directory.

* Tue Aug 29 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-6
- Check the minimal BuildRequires again.

* Tue Aug 29 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-5
- Maybe better handling of architecture.

* Tue Aug 29 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-4
- Remove some requirement on %%post and %%postun.

* Mon Aug 28 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-3
- Remove gamin-devel.
- Minor fix for desktop file.

* Mon Aug 28 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-2
- Soname versioning.
- Rename kita.so as this soname is invalid.

* Mon Aug 28 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.177.3-1
- Package for Fedora Extras.
- Add missing BuildRequires.
- Use desktop-file-utils
- Fix scriptlets.
- Change encodings.

* Sun Nov 21 2004 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- remove kitapart/kita*ui.rc

* Sat Oct 07 2004 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- set %%{_prefix} if SuSE

* Sat May 15 2004 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- add 'Serial' field (comment)

* Sat Dec 13 2003 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- don't use %%configure

* Mon Oct 13 2003 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- add files

* Wed Mar 03 2003 Hideki Ikemoto<ikemo@users.sourceforge.jp>
- initial release.
